QuickFIX: FIX::ConnectorWrapper Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::ConnectorWrapper Class Reference

Handles events from SocketMonitor for client connections. More...

Inheritance diagram for FIX::ConnectorWrapper:
[legend]
Collaboration diagram for FIX::ConnectorWrapper:
[legend]

List of all members.

## Public Member Functions
| ConnectorWrapper (SocketConnector &connector, SocketConnector::Strategy &strategy)
## Private Member Functions
void | onConnect (SocketMonitor &, int socket)
void | onWrite (SocketMonitor &, int socket)
void | onEvent (SocketMonitor &, int socket)
void | onError (SocketMonitor &, int socket)
void | onError (SocketMonitor &)
void | onTimeout (SocketMonitor &)
## Private Attributes
SocketConnector & | m_connector
SocketConnector::Strategy & | m_strategy

## Detailed Description

Handles events from SocketMonitor for client connections.

Definition at line 40 of file SocketConnector.cpp.

## Constructor & Destructor Documentation

FIX::ConnectorWrapper::ConnectorWrapper | ( | SocketConnector & | connector,
|  | SocketConnector::Strategy & | strategy |
| ) |  |  | `[inline]`

Definition at line 43 of file SocketConnector.cpp.

    00045 : m_connector( connector ), m_strategy( strategy ) {}

## Member Function Documentation

void FIX::ConnectorWrapper::onConnect | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[inline, private, virtual]`

Implements FIX::SocketMonitor::Strategy.

Definition at line 48 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onConnect(), QF_STACK_POP, and QF_STACK_PUSH.

    00049   { QF_STACK_PUSH(ConnectorWrapper::onConnect)
    00050
    00051     m_strategy.onConnect( m_connector, socket );
    00052
    00053     QF_STACK_POP
    00054   }

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & |  | ) | `[inline, private, virtual]`

Implements FIX::SocketMonitor::Strategy.

Definition at line 81 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onError(), onError(), QF_STACK_POP, and QF_STACK_PUSH.

    00082   { QF_STACK_PUSH(ConnectorWrapper::onError)
    00083     m_strategy.onError( m_connector );
    00084     QF_STACK_POP
    00085   }

void FIX::ConnectorWrapper::onError | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[inline, private, virtual]`

Implements FIX::SocketMonitor::Strategy.

Definition at line 73 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onDisconnect(), QF_STACK_POP, and QF_STACK_PUSH.

Referenced by onError().

    00074   { QF_STACK_PUSH(ConnectorWrapper::onError)
    00075
    00076     m_strategy.onDisconnect( m_connector, socket );
    00077
    00078     QF_STACK_POP
    00079   }

void FIX::ConnectorWrapper::onEvent | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[inline, private, virtual]`

Implements FIX::SocketMonitor::Strategy.

Definition at line 64 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onData(), FIX::SocketConnector::Strategy::onDisconnect(), QF_STACK_POP, and QF_STACK_PUSH.

    00065   { QF_STACK_PUSH(ConnectorWrapper::onEvent)
    00066
    00067     if( !m_strategy.onData( m_connector, socket ) )
    00068       m_strategy.onDisconnect( m_connector, socket );
    00069
    00070     QF_STACK_POP
    00071   }

void FIX::ConnectorWrapper::onTimeout | ( | SocketMonitor & |  | ) | `[inline, private, virtual]`

Reimplemented from FIX::SocketMonitor::Strategy.

Definition at line 87 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onTimeout(), QF_STACK_POP, and QF_STACK_PUSH.

    00088   { QF_STACK_PUSH(ConnectorWrapper::onTimeout)
    00089     m_strategy.onTimeout( m_connector );
    00090     QF_STACK_POP
    00091   };

void FIX::ConnectorWrapper::onWrite | ( | SocketMonitor & | ,
|  | int | socket |
| ) |  |  | `[inline, private, virtual]`

Implements FIX::SocketMonitor::Strategy.

Definition at line 56 of file SocketConnector.cpp.

References m_connector, m_strategy, FIX::SocketConnector::Strategy::onWrite(), QF_STACK_POP, and QF_STACK_PUSH.

    00057   { QF_STACK_PUSH(ConnectorWrapper::onWrite)
    00058
    00059     m_strategy.onWrite( m_connector, socket );
    00060
    00061     QF_STACK_POP
    00062   }

## Member Data Documentation

SocketConnector& FIX::ConnectorWrapper::m_connector`[private]`

Definition at line 91 of file SocketConnector.cpp.

Referenced by onConnect(), onError(), onEvent(), onTimeout(), and onWrite().

SocketConnector::Strategy& FIX::ConnectorWrapper::m_strategy`[private]`

Definition at line 94 of file SocketConnector.cpp.

Referenced by onConnect(), onError(), onEvent(), onTimeout(), and onWrite().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/SocketConnector.cpp